Index: django/contrib/gis/db/models/query.py
===================================================================
--- django/contrib/gis/db/models/query.py	(revision 16529)
+++ django/contrib/gis/db/models/query.py	(working copy)
@@ -1,9 +1,9 @@
 from django.db import connections
-from django.db.models.query import QuerySet, Q, ValuesQuerySet, ValuesListQuerySet
+from django.db.models.query import QuerySet, ValuesQuerySet, ValuesListQuerySet
 
 from django.contrib.gis.db.models import aggregates
-from django.contrib.gis.db.models.fields import get_srid_info, GeometryField, PointField, LineStringField
-from django.contrib.gis.db.models.sql import AreaField, DistanceField, GeomField, GeoQuery, GeoWhereNode
+from django.contrib.gis.db.models.fields import get_srid_info, PointField, LineStringField
+from django.contrib.gis.db.models.sql import AreaField, DistanceField, GeomField, GeoQuery
 from django.contrib.gis.geometry.backend import Geometry
 from django.contrib.gis.measure import Area, Distance
 
Index: django/contrib/gis/db/backends/spatialite/base.py
===================================================================
--- django/contrib/gis/db/backends/spatialite/base.py	(revision 16529)
+++ django/contrib/gis/db/backends/spatialite/base.py	(working copy)
@@ -3,8 +3,8 @@
 
 from django.core.exceptions import ImproperlyConfigured
 from django.db.backends.sqlite3.base import *
-from django.db.backends.sqlite3.base import DatabaseWrapper as SqliteDatabaseWrapper, \
-    _sqlite_extract, _sqlite_date_trunc, _sqlite_regexp
+from django.db.backends.sqlite3.base import DatabaseWrapper as SqliteDatabaseWrapper
+from django.db.backends.sqlite3.base import _sqlite_extract, _sqlite_date_trunc, _sqlite_regexp
 from django.contrib.gis.db.backends.spatialite.client import SpatiaLiteClient
 from django.contrib.gis.db.backends.spatialite.creation import SpatiaLiteCreation
 from django.contrib.gis.db.backends.spatialite.introspection import SpatiaLiteIntrospection
Index: django/contrib/gis/db/backends/base.py
===================================================================
--- django/contrib/gis/db/backends/base.py	(revision 16529)
+++ django/contrib/gis/db/backends/base.py	(working copy)
@@ -3,7 +3,6 @@
 `SpatialRefSys` model the backend.
 """
 import re
-from django.conf import settings
 from django.contrib.gis import gdal
 
 class BaseSpatialOperations(object):
Index: django/contrib/gis/db/backends/oracle/models.py
===================================================================
--- django/contrib/gis/db/backends/oracle/models.py	(revision 16529)
+++ django/contrib/gis/db/backends/oracle/models.py	(working copy)
@@ -8,7 +8,6 @@
  model and the `SDO_COORD_REF_SYS` is used for the SpatialRefSys model.
 """
 from django.contrib.gis.db import models
-from django.contrib.gis.db.models.fields import GeometryField
 from django.contrib.gis.db.backends.base import SpatialRefSysMixin
 
 class GeometryColumns(models.Model):
Index: django/contrib/gis/shortcuts.py
===================================================================
--- django/contrib/gis/shortcuts.py	(revision 16529)
+++ django/contrib/gis/shortcuts.py	(working copy)
@@ -1,11 +1,15 @@
-import cStringIO, zipfile
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
+import zipfile
 from django.conf import settings
 from django.http import HttpResponse
 from django.template import loader
 
 def compress_kml(kml):
     "Returns compressed KMZ from the given KML string."
-    kmz = cStringIO.StringIO()
+    kmz = StringIO()
     zf = zipfile.ZipFile(kmz, 'a', zipfile.ZIP_DEFLATED)
     zf.writestr('doc.kml', kml.encode(settings.DEFAULT_CHARSET))
     zf.close()
Index: django/contrib/gis/admin/options.py
===================================================================
--- django/contrib/gis/admin/options.py	(revision 16529)
+++ django/contrib/gis/admin/options.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.contrib.admin import ModelAdmin
 from django.contrib.gis.admin.widgets import OpenLayersWidget
 from django.contrib.gis.gdal import OGRGeomType
Index: django/contrib/gis/admin/widgets.py
===================================================================
--- django/contrib/gis/admin/widgets.py	(revision 16529)
+++ django/contrib/gis/admin/widgets.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.forms.widgets import Textarea
 from django.template import loader, Context
 from django.templatetags.static import static
Index: django/contrib/gis/geometry/backend/geos.py
===================================================================
--- django/contrib/gis/geometry/backend/geos.py	(revision 16529)
+++ django/contrib/gis/geometry/backend/geos.py	(working copy)
@@ -1,3 +1,2 @@
-from django.contrib.gis.geos import \
-    GEOSGeometry as Geometry, \
-    GEOSException as GeometryException
+from django.contrib.gis.geos import (
+    GEOSGeometry as Geometry, GEOSException as GeometryException)
Index: django/contrib/gis/geos/geometry.py
===================================================================
--- django/contrib/gis/geos/geometry.py	(revision 16529)
+++ django/contrib/gis/geos/geometry.py	(working copy)
@@ -3,9 +3,8 @@
  inherit from this object.
 """
 # Python, ctypes and types dependencies.
-import re
 import warnings
-from ctypes import addressof, byref, c_double, c_size_t
+from ctypes import addressof, byref, c_double
 
 # super-class for mutable list behavior
 from django.contrib.gis.geos.mutable_list import ListMixin
Index: django/contrib/gis/geos/prototypes/topology.py
===================================================================
--- django/contrib/gis/geos/prototypes/topology.py	(revision 16529)
+++ django/contrib/gis/geos/prototypes/topology.py	(working copy)
@@ -7,7 +7,7 @@
            'geos_linemerge', 'geos_pointonsurface', 'geos_preservesimplify',
            'geos_simplify', 'geos_symdifference', 'geos_union', 'geos_relate']
 
-from ctypes import c_char_p, c_double, c_int
+from ctypes import c_double, c_int
 from django.contrib.gis.geos.libgeos import GEOM_PTR, GEOS_PREPARE
 from django.contrib.gis.geos.prototypes.errcheck import check_geom, check_string
 from django.contrib.gis.geos.prototypes.geom import geos_char_p
Index: django/contrib/gis/geos/prototypes/__init__.py
===================================================================
--- django/contrib/gis/geos/prototypes/__init__.py	(revision 16529)
+++ django/contrib/gis/geos/prototypes/__init__.py	(working copy)
@@ -5,26 +5,26 @@
 """
 
 # Coordinate sequence routines.
-from django.contrib.gis.geos.prototypes.coordseq import create_cs, get_cs, \
-    cs_clone, cs_getordinate, cs_setordinate, cs_getx, cs_gety, cs_getz, \
-    cs_setx, cs_sety, cs_setz, cs_getsize, cs_getdims
+from django.contrib.gis.geos.prototypes.coordseq import (create_cs, get_cs,
+    cs_clone, cs_getordinate, cs_setordinate, cs_getx, cs_gety, cs_getz,
+    cs_setx, cs_sety, cs_setz, cs_getsize, cs_getdims)
 
 # Geometry routines.
-from django.contrib.gis.geos.prototypes.geom import from_hex, from_wkb, from_wkt, \
-    create_point, create_linestring, create_linearring, create_polygon, create_collection, \
-    destroy_geom, get_extring, get_intring, get_nrings, get_geomn, geom_clone, \
-    geos_normalize, geos_type, geos_typeid, geos_get_srid, geos_set_srid, \
-    get_dims, get_num_coords, get_num_geoms, \
-    to_hex, to_wkb, to_wkt
+from django.contrib.gis.geos.prototypes.geom import (from_hex, from_wkb, from_wkt,
+    create_point, create_linestring, create_linearring, create_polygon, create_collection,
+    destroy_geom, get_extring, get_intring, get_nrings, get_geomn, geom_clone,
+    geos_normalize, geos_type, geos_typeid, geos_get_srid, geos_set_srid,
+    get_dims, get_num_coords, get_num_geoms,
+    to_hex, to_wkb, to_wkt)
 
 # Miscellaneous routines.
 from django.contrib.gis.geos.prototypes.misc import *
 
 # Predicates
-from django.contrib.gis.geos.prototypes.predicates import geos_hasz, geos_isempty, \
-    geos_isring, geos_issimple, geos_isvalid, geos_contains, geos_crosses, \
-    geos_disjoint, geos_equals, geos_equalsexact, geos_intersects, \
-    geos_intersects, geos_overlaps, geos_relatepattern, geos_touches, geos_within
+from django.contrib.gis.geos.prototypes.predicates import (geos_hasz, geos_isempty,
+    geos_isring, geos_issimple, geos_isvalid, geos_contains, geos_crosses,
+    geos_disjoint, geos_equals, geos_equalsexact, geos_intersects,
+    geos_intersects, geos_overlaps, geos_relatepattern, geos_touches, geos_within)
 
 # Topology routines
 from django.contrib.gis.geos.prototypes.topology import *
Index: django/contrib/gis/geos/prototypes/geom.py
===================================================================
--- django/contrib/gis/geos/prototypes/geom.py	(revision 16529)
+++ django/contrib/gis/geos/prototypes/geom.py	(working copy)
@@ -1,7 +1,7 @@
-from ctypes import c_char_p, c_int, c_size_t, c_ubyte, c_uint, POINTER
-from django.contrib.gis.geos.libgeos import CS_PTR, GEOM_PTR, PREPGEOM_PTR, GEOS_PREPARE
-from django.contrib.gis.geos.prototypes.errcheck import \
-    check_geom, check_minus_one, check_sized_string, check_string, check_zero
+from ctypes import c_char_p, c_int, c_size_t, c_ubyte, POINTER
+from django.contrib.gis.geos.libgeos import CS_PTR, GEOM_PTR
+from django.contrib.gis.geos.prototypes.errcheck import (
+    check_geom, check_minus_one, check_sized_string, check_string, check_zero)
 from django.contrib.gis.geos.prototypes.threadsafe import GEOSFunc
 
 # This is the return type used by binary output (WKB, HEX) routines.
Index: django/contrib/gis/geos/base.py
===================================================================
--- django/contrib/gis/geos/base.py	(revision 16529)
+++ django/contrib/gis/geos/base.py	(working copy)
@@ -1,6 +1,6 @@
 from ctypes import c_void_p
 from types import NoneType
-from django.contrib.gis.geos.error import GEOSException, GEOSIndexError
+from django.contrib.gis.geos.error import GEOSException
 
 # Trying to import GDAL libraries, if available.  Have to place in
 # try/except since this package may be used outside GeoDjango.
Index: django/contrib/gis/geos/tests/test_geos.py
===================================================================
--- django/contrib/gis/geos/tests/test_geos.py	(revision 16529)
+++ django/contrib/gis/geos/tests/test_geos.py	(working copy)
@@ -1,4 +1,6 @@
-import ctypes, random, unittest, sys
+import ctypes
+import random
+import unittest
 from django.contrib.gis.geos import *
 from django.contrib.gis.geos.base import gdal, numpy, GEOSBase
 from django.contrib.gis.geos.libgeos import GEOS_PREPARE
Index: django/contrib/gis/geos/tests/test_geos_mutation.py
===================================================================
--- django/contrib/gis/geos/tests/test_geos_mutation.py	(revision 16529)
+++ django/contrib/gis/geos/tests/test_geos_mutation.py	(working copy)
@@ -2,7 +2,6 @@
 # Modified from original contribution by Aryeh Leib Taurog, which was
 # released under the New BSD license.
 
-import copy
 from django.contrib.gis.geos import *
 from django.contrib.gis.geos.error import GEOSIndexError
 from django.utils import unittest
Index: django/contrib/gis/geos/tests/test_io.py
===================================================================
--- django/contrib/gis/geos/tests/test_io.py	(revision 16529)
+++ django/contrib/gis/geos/tests/test_io.py	(working copy)
@@ -1,4 +1,5 @@
-import binascii, ctypes, unittest
+import binascii
+import unittest
 from django.contrib.gis.geos import GEOSGeometry, WKTReader, WKTWriter, WKBReader, WKBWriter, geos_version_info
 
 class GEOSIOTest(unittest.TestCase):
Index: django/contrib/gis/geos/collections.py
===================================================================
--- django/contrib/gis/geos/collections.py	(revision 16529)
+++ django/contrib/gis/geos/collections.py	(working copy)
@@ -3,9 +3,9 @@
  GeometryCollection, MultiPoint, MultiLineString, and MultiPolygon
 """
 from ctypes import c_int, c_uint, byref
-from django.contrib.gis.geos.error import GEOSException, GEOSIndexError
+from django.contrib.gis.geos.error import GEOSException
 from django.contrib.gis.geos.geometry import GEOSGeometry
-from django.contrib.gis.geos.libgeos import get_pointer_arr, GEOM_PTR, GEOS_PREPARE
+from django.contrib.gis.geos.libgeos import get_pointer_arr, GEOS_PREPARE
 from django.contrib.gis.geos.linestring import LineString, LinearRing
 from django.contrib.gis.geos.point import Point
 from django.contrib.gis.geos.polygon import Polygon
Index: django/contrib/gis/geos/libgeos.py
===================================================================
--- django/contrib/gis/geos/libgeos.py	(revision 16529)
+++ django/contrib/gis/geos/libgeos.py	(working copy)
@@ -6,7 +6,9 @@
  This module also houses GEOS Pointer utilities, including
  get_pointer_arr(), and GEOM_PTR.
 """
-import os, re, sys
+import os
+import re
+import sys
 from ctypes import c_char_p, Structure, CDLL, CFUNCTYPE, POINTER
 from ctypes.util import find_library
 from django.contrib.gis.geos.error import GEOSException
Index: django/contrib/gis/geos/polygon.py
===================================================================
--- django/contrib/gis/geos/polygon.py	(revision 16529)
+++ django/contrib/gis/geos/polygon.py	(working copy)
@@ -1,5 +1,4 @@
 from ctypes import c_uint, byref
-from django.contrib.gis.geos.error import GEOSIndexError
 from django.contrib.gis.geos.geometry import GEOSGeometry
 from django.contrib.gis.geos.libgeos import get_pointer_arr, GEOM_PTR
 from django.contrib.gis.geos.linestring import LinearRing
Index: django/contrib/gis/maps/google/gmap.py
===================================================================
--- django/contrib/gis/maps/google/gmap.py	(revision 16529)
+++ django/contrib/gis/maps/google/gmap.py	(working copy)
@@ -1,11 +1,12 @@
 from django.conf import settings
-from django.contrib.gis import geos
 from django.template.loader import render_to_string
 from django.utils.safestring import mark_safe
 
-class GoogleMapException(Exception): pass
-from django.contrib.gis.maps.google.overlays import GPolygon, GPolyline, GMarker, GIcon
+class GoogleMapException(Exception):
+    pass
 
+from django.contrib.gis.maps.google.overlays import GPolygon, GPolyline, GMarker
+
 # The default Google Maps URL (for the API javascript)
 # TODO: Internationalize for Japan, UK, etc.
 GOOGLE_MAPS_URL='http://maps.google.com/maps?file=api&amp;v=%s&amp;key='
Index: django/contrib/gis/maps/google/zoom.py
===================================================================
--- django/contrib/gis/maps/google/zoom.py	(revision 16529)
+++ django/contrib/gis/maps/google/zoom.py	(working copy)
@@ -1,6 +1,6 @@
 from django.contrib.gis.geos import GEOSGeometry, LinearRing, Polygon, Point
 from django.contrib.gis.maps.google.gmap import GoogleMapException
-from math import pi, sin, cos, log, exp, atan
+from math import pi, sin, log, exp, atan
 
 # Constants used for degree to radian conversion, and vice-versa.
 DTOR = pi / 180.
Index: django/contrib/gis/utils/layermapping.py
===================================================================
--- django/contrib/gis/utils/layermapping.py	(revision 16529)
+++ django/contrib/gis/utils/layermapping.py	(working copy)
@@ -7,15 +7,14 @@
    http://geodjango.org/docs/layermapping.html
 """
 import sys
-from datetime import date, datetime
 from decimal import Decimal
 from django.core.exceptions import ObjectDoesNotExist
 from django.db import connections, DEFAULT_DB_ALIAS
 from django.contrib.gis.db.models import GeometryField
-from django.contrib.gis.gdal import CoordTransform, DataSource, \
-    OGRException, OGRGeometry, OGRGeomType, SpatialReference
-from django.contrib.gis.gdal.field import \
-    OFTDate, OFTDateTime, OFTInteger, OFTReal, OFTString, OFTTime
+from django.contrib.gis.gdal import (CoordTransform, DataSource,
+    OGRException, OGRGeometry, OGRGeomType, SpatialReference)
+from django.contrib.gis.gdal.field import (
+    OFTDate, OFTDateTime, OFTInteger, OFTReal, OFTString, OFTTime)
 from django.db import models, transaction
 from django.contrib.localflavor.us.models import USStateField
 
Index: django/contrib/gis/utils/ogrinspect.py
===================================================================
--- django/contrib/gis/utils/ogrinspect.py	(revision 16529)
+++ django/contrib/gis/utils/ogrinspect.py	(working copy)
@@ -8,7 +8,7 @@
 from itertools import izip
 # Requires GDAL to use.
 from django.contrib.gis.gdal import DataSource
-from django.contrib.gis.gdal.field import OFTDate, OFTDateTime, OFTInteger, OFTReal, OFTString, OFTTime
+from django.contrib.gis.gdal.field import OFTDate, OFTDateTime, OFTInteger, OFTReal, OFTString
 
 def mapping(data_source, geom_name='geom', layer_key=0, multi_geom=False):
     """
Index: django/contrib/gis/utils/geoip.py
===================================================================
--- django/contrib/gis/utils/geoip.py	(revision 16529)
+++ django/contrib/gis/utils/geoip.py	(working copy)
@@ -38,7 +38,8 @@
  >>> g.geos('24.124.1.80').wkt
  'POINT (-95.2087020874023438 39.0392990112304688)'
 """
-import os, re
+import os
+import re
 from ctypes import c_char_p, c_float, c_int, Structure, CDLL, POINTER
 from ctypes.util import find_library
 from django.conf import settings
Index: django/contrib/gis/tests/test_spatialrefsys.py
===================================================================
--- django/contrib/gis/tests/test_spatialrefsys.py	(revision 16529)
+++ django/contrib/gis/tests/test_spatialrefsys.py	(working copy)
@@ -1,6 +1,6 @@
 from django.db import connection
 from django.contrib.gis.gdal import GDAL_VERSION
-from django.contrib.gis.tests.utils import mysql, no_mysql, oracle, postgis, spatialite
+from django.contrib.gis.tests.utils import no_mysql, oracle, postgis, spatialite
 from django.utils import unittest
 
 
Index: django/contrib/gis/tests/geo3d/tests.py
===================================================================
--- django/contrib/gis/tests/geo3d/tests.py	(revision 16529)
+++ django/contrib/gis/tests/geo3d/tests.py	(working copy)
@@ -5,9 +5,9 @@
 from django.contrib.gis.geos import GEOSGeometry, Point, Polygon
 from django.contrib.gis.utils import LayerMapping, LayerMapError
 
-from models import City3D, Interstate2D, Interstate3D, \
-    InterstateProj2D, InterstateProj3D, \
-    Point2D, Point3D, MultiPoint3D, Polygon2D, Polygon3D
+from models import (City3D, Interstate2D, Interstate3D,
+    InterstateProj2D, InterstateProj3D,
+    Point2D, Point3D, MultiPoint3D, Polygon2D, Polygon3D)
 
 data_path = os.path.realpath(os.path.join(os.path.dirname(__file__), '..', 'data'))
 city_file = os.path.join(data_path, 'cities', 'cities.shp')
Index: django/contrib/gis/tests/geogapp/tests.py
===================================================================
--- django/contrib/gis/tests/geogapp/tests.py	(revision 16529)
+++ django/contrib/gis/tests/geogapp/tests.py	(working copy)
@@ -79,7 +79,6 @@
 
     def test06_geography_area(self):
         "Testing that Area calculations work on geography columns."
-        from django.contrib.gis.measure import A
         # SELECT ST_Area(poly) FROM geogapp_zipcode WHERE code='77002';
         ref_area = 5439084.70637573
         tol = 5
Index: django/contrib/gis/tests/distapp/tests.py
===================================================================
--- django/contrib/gis/tests/distapp/tests.py	(revision 16529)
+++ django/contrib/gis/tests/distapp/tests.py	(working copy)
@@ -1,15 +1,12 @@
-import os
-from decimal import Decimal
-
 from django.db import connection
 from django.db.models import Q
-from django.contrib.gis.geos import GEOSGeometry, Point, LineString
+from django.contrib.gis.geos import GEOSGeometry, LineString
 from django.contrib.gis.measure import D # alias for Distance
 from django.contrib.gis.tests.utils import oracle, postgis, spatialite, no_oracle, no_spatialite
 from django.test import TestCase
 
-from models import AustraliaCity, Interstate, SouthTexasInterstate, \
-    SouthTexasCity, SouthTexasCityFt, CensusZipcode, SouthTexasZipcode
+from models import (AustraliaCity, Interstate, SouthTexasInterstate,
+    SouthTexasCity, SouthTexasCityFt, CensusZipcode, SouthTexasZipcode)
 
 class DistanceTest(TestCase):
 
Index: django/contrib/gis/tests/test_geoip.py
===================================================================
--- django/contrib/gis/tests/test_geoip.py	(revision 16529)
+++ django/contrib/gis/tests/test_geoip.py	(working copy)
@@ -1,4 +1,5 @@
-import os, unittest
+import os
+import unittest
 from django.db import settings
 from django.contrib.gis.geos import GEOSGeometry
 from django.contrib.gis.utils import GeoIP, GeoIPException
Index: django/contrib/gis/tests/layermap/tests.py
===================================================================
--- django/contrib/gis/tests/layermap/tests.py	(revision 16529)
+++ django/contrib/gis/tests/layermap/tests.py	(working copy)
@@ -4,13 +4,13 @@
 
 from django.utils.unittest import TestCase
 
-from django.contrib.gis.gdal import DataSource, OGRException
+from django.contrib.gis.gdal import DataSource
 from django.contrib.gis.tests.utils import mysql
 from django.contrib.gis.utils.layermapping import LayerMapping, LayerMapError, InvalidDecimal, MissingForeignKey
 
-from models import \
-    City, County, CountyFeat, Interstate, ICity1, ICity2, Invalid, State, \
-    city_mapping, co_mapping, cofeat_mapping, inter_mapping
+from models import (
+    City, County, CountyFeat, Interstate, ICity1, ICity2, Invalid, State,
+    city_mapping, co_mapping, cofeat_mapping, inter_mapping)
 
 shp_path = os.path.realpath(os.path.join(os.path.dirname(__file__), os.pardir, 'data'))
 city_shp = os.path.join(shp_path, 'cities', 'cities.shp')
Index: django/contrib/gis/tests/geoapp/test_regress.py
===================================================================
--- django/contrib/gis/tests/geoapp/test_regress.py	(revision 16529)
+++ django/contrib/gis/tests/geoapp/test_regress.py	(working copy)
@@ -1,5 +1,5 @@
-import os, unittest
-from django.contrib.gis.tests.utils import no_mysql, no_oracle, no_postgis, no_spatialite
+import unittest
+from django.contrib.gis.tests.utils import no_mysql, no_spatialite
 from django.contrib.gis.shortcuts import render_to_kmz
 from models import City
 
Index: django/contrib/gis/tests/geoapp/tests.py
===================================================================
--- django/contrib/gis/tests/geoapp/tests.py	(revision 16529)
+++ django/contrib/gis/tests/geoapp/tests.py	(working copy)
@@ -1,12 +1,11 @@
 import re
 from django.db import connection
 from django.contrib.gis import gdal
-from django.contrib.gis.geos import fromstr, GEOSGeometry, \
-    Point, LineString, LinearRing, Polygon, GeometryCollection
-from django.contrib.gis.measure import Distance
-from django.contrib.gis.tests.utils import \
-    no_mysql, no_oracle, no_spatialite, \
-    mysql, oracle, postgis, spatialite
+from django.contrib.gis.geos import (fromstr, GEOSGeometry,
+    Point, LineString, LinearRing, Polygon, GeometryCollection)
+from django.contrib.gis.tests.utils import (
+    no_mysql, no_oracle, no_spatialite,
+    mysql, oracle, postgis, spatialite)
 from django.test import TestCase
 
 from models import Country, City, PennsylvaniaCity, State, Track
Index: django/contrib/gis/tests/geoapp/test_sitemaps.py
===================================================================
--- django/contrib/gis/tests/geoapp/test_sitemaps.py	(revision 16529)
+++ django/contrib/gis/tests/geoapp/test_sitemaps.py	(working copy)
@@ -1,4 +1,7 @@
-import cStringIO
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
 from xml.dom import minidom
 import zipfile
 from django.conf import settings
@@ -60,7 +63,7 @@
                     kml_doc = minidom.parseString(self.client.get(kml_url).content)
                 elif kml_type == 'kmz':
                     # Have to decompress KMZ before parsing.
-                    buf = cStringIO.StringIO(self.client.get(kml_url).content)
+                    buf = StringIO(self.client.get(kml_url).content)
                     zf = zipfile.ZipFile(buf)
                     self.assertEqual(1, len(zf.filelist))
                     self.assertEqual('doc.kml', zf.filelist[0].filename)
Index: django/contrib/gis/tests/geoapp/feeds.py
===================================================================
--- django/contrib/gis/tests/geoapp/feeds.py	(revision 16529)
+++ django/contrib/gis/tests/geoapp/feeds.py	(working copy)
@@ -1,6 +1,5 @@
 from django.contrib.gis import feeds
-from django.contrib.gis.tests.utils import mysql
-from models import City, Country
+from models import City
 
 class TestGeoRSS1(feeds.Feed):
     link = '/city/'
Index: django/contrib/gis/gdal/datasource.py
===================================================================
--- django/contrib/gis/gdal/datasource.py	(revision 16529)
+++ django/contrib/gis/gdal/datasource.py	(working copy)
@@ -34,7 +34,7 @@
               val = field.value
 """
 # ctypes prerequisites.
-from ctypes import byref, c_void_p
+from ctypes import byref
 
 # The GDAL C library, OGR exceptions, and the Layer object.
 from django.contrib.gis.gdal.base import GDALBase
Index: django/contrib/gis/gdal/feature.py
===================================================================
--- django/contrib/gis/gdal/feature.py	(revision 16529)
+++ django/contrib/gis/gdal/feature.py	(working copy)
@@ -3,7 +3,6 @@
 from django.contrib.gis.gdal.error import OGRException, OGRIndexError
 from django.contrib.gis.gdal.field import Field
 from django.contrib.gis.gdal.geometries import OGRGeometry, OGRGeomType
-from django.contrib.gis.gdal.srs import SpatialReference
 
 # ctypes function prototypes
 from django.contrib.gis.gdal.prototypes import ds as capi, geom as geom_api
Index: django/contrib/gis/gdal/libgdal.py
===================================================================
--- django/contrib/gis/gdal/libgdal.py	(revision 16529)
+++ django/contrib/gis/gdal/libgdal.py	(working copy)
@@ -1,4 +1,5 @@
-import os, re, sys
+import os
+import re
 from ctypes import c_char_p, CDLL
 from ctypes.util import find_library
 from django.contrib.gis.gdal.error import OGRException
Index: django/contrib/gis/gdal/prototypes/generation.py
===================================================================
--- django/contrib/gis/gdal/prototypes/generation.py	(revision 16529)
+++ django/contrib/gis/gdal/prototypes/generation.py	(working copy)
@@ -4,9 +4,9 @@
 """
 
 from ctypes import c_char_p, c_double, c_int, c_void_p
-from django.contrib.gis.gdal.prototypes.errcheck import \
-    check_arg_errcode, check_errcode, check_geom, check_geom_offset, \
-    check_pointer, check_srs, check_str_arg, check_string, check_const_string
+from django.contrib.gis.gdal.prototypes.errcheck import (
+    check_arg_errcode, check_errcode, check_geom, check_geom_offset,
+    check_pointer, check_srs, check_str_arg, check_string, check_const_string)
 
 class gdal_char_p(c_char_p):
     pass
Index: django/contrib/gis/gdal/prototypes/ds.py
===================================================================
--- django/contrib/gis/gdal/prototypes/ds.py	(revision 16529)
+++ django/contrib/gis/gdal/prototypes/ds.py	(working copy)
@@ -6,9 +6,8 @@
 from ctypes import c_char_p, c_double, c_int, c_long, c_void_p, POINTER
 from django.contrib.gis.gdal.envelope import OGREnvelope
 from django.contrib.gis.gdal.libgdal import lgdal
-from django.contrib.gis.gdal.prototypes.generation import \
-    const_string_output, double_output, geom_output, int_output, \
-    srs_output, void_output, voidptr_output
+from django.contrib.gis.gdal.prototypes.generation import (const_string_output,
+    double_output, geom_output, int_output, srs_output, void_output, voidptr_output)
 
 c_int_p = POINTER(c_int) # shortcut type
 
Index: django/contrib/gis/gdal/prototypes/geom.py
===================================================================
--- django/contrib/gis/gdal/prototypes/geom.py	(revision 16529)
+++ django/contrib/gis/gdal/prototypes/geom.py	(working copy)
@@ -1,12 +1,9 @@
-import re
-from datetime import date
-from ctypes import c_char, c_char_p, c_double, c_int, c_ubyte, c_void_p, POINTER
+from ctypes import c_char_p, c_double, c_int, c_void_p, POINTER
 from django.contrib.gis.gdal.envelope import OGREnvelope
 from django.contrib.gis.gdal.libgdal import lgdal, GEOJSON
 from django.contrib.gis.gdal.prototypes.errcheck import check_bool, check_envelope
-from django.contrib.gis.gdal.prototypes.generation import \
-    const_string_output, double_output, geom_output, int_output, \
-    srs_output, string_output, void_output
+from django.contrib.gis.gdal.prototypes.generation import (const_string_output,
+    double_output, geom_output, int_output, srs_output, string_output, void_output)
 
 ### Generation routines specific to this module ###
 def env_func(f, argtypes):
Index: django/contrib/gis/gdal/prototypes/srs.py
===================================================================
--- django/contrib/gis/gdal/prototypes/srs.py	(revision 16529)
+++ django/contrib/gis/gdal/prototypes/srs.py	(working copy)
@@ -1,8 +1,7 @@
 from ctypes import c_char_p, c_int, c_void_p, POINTER
 from django.contrib.gis.gdal.libgdal import lgdal, std_call
-from django.contrib.gis.gdal.prototypes.generation import \
-    const_string_output, double_output, int_output, \
-    srs_output, string_output, void_output
+from django.contrib.gis.gdal.prototypes.generation import (const_string_output,
+    double_output, int_output, srs_output, string_output, void_output)
 
 ## Shortcut generation for routines with known parameters.
 def srs_double(f):
Index: django/contrib/gis/gdal/srs.py
===================================================================
--- django/contrib/gis/gdal/srs.py	(revision 16529)
+++ django/contrib/gis/gdal/srs.py	(working copy)
@@ -26,12 +26,11 @@
   >>> print srs.name
   NAD83 / Texas South Central
 """
-import re
-from ctypes import byref, c_char_p, c_int, c_void_p
+from ctypes import byref, c_char_p, c_int
 
 # Getting the error checking routine and exceptions
 from django.contrib.gis.gdal.base import GDALBase
-from django.contrib.gis.gdal.error import OGRException, SRSException
+from django.contrib.gis.gdal.error import SRSException
 from django.contrib.gis.gdal.prototypes import srs as capi
 
 #### Spatial Reference class. ####
Index: django/contrib/gis/gdal/tests/test_driver.py
===================================================================
--- django/contrib/gis/gdal/tests/test_driver.py	(revision 16529)
+++ django/contrib/gis/gdal/tests/test_driver.py	(working copy)
@@ -1,4 +1,4 @@
-import os, os.path, unittest
+import unittest
 from django.contrib.gis.gdal import Driver, OGRException
 
 valid_drivers = ('ESRI Shapefile', 'MapInfo File', 'TIGER', 'S57', 'DGN',
